[Ovirt-devel] [PATCH] (resend) Two convenience scripts to simplify appliance usage

Perry Myers pmyers at redhat.com
Sat Jun 28 22:25:43 UTC 2008


ovirt-firefox.sh is used to launch firefox on the appliance
ovirt-view-vm.sh is used to launch virt-viewer on a specific managed node
connected to a specific virtual machine.

These script should simplify some of the instructions we have
on the website.

Note: This time I used the right arg for firefox (-no-remote)

Signed-off-by: Perry Myers <pmyers at redhat.com>
---
 wui-appliance/ovirt-firefox.sh |    8 ++++++++
 wui-appliance/ovirt-view-vm.sh |   17 +++++++++++++++++
 2 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100755 wui-appliance/ovirt-firefox.sh
 create mode 100755 wui-appliance/ovirt-view-vm.sh

diff --git a/wui-appliance/ovirt-firefox.sh b/wui-appliance/ovirt-firefox.sh
new file mode 100755
index 0000000..69e5877
--- /dev/null
+++ b/wui-appliance/ovirt-firefox.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+KNOWN_HOSTS=~/.ssh/ovirt-known_hosts
+SSH_ARGS="-o StrictHostKeyChecking=no -o UserKnownHostsFile=$KNOWN_HOSTS -Yf"
+
+rm -f $KNOWN_HOSTS > /dev/null 2>&1
+ssh $SSH_ARGS 192.168.50.2 firefox -no-remote
+
diff --git a/wui-appliance/ovirt-view-vm.sh b/wui-appliance/ovirt-view-vm.sh
new file mode 100755
index 0000000..1e5ebaa
--- /dev/null
+++ b/wui-appliance/ovirt-view-vm.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+KNOWN_HOSTS=~/.ssh/ovirt-known_hosts
+SSH_ARGS="-o StrictHostKeyChecking=no -o UserKnownHostsFile=$KNOWN_HOSTS -Yf"
+
+if [[ $# < 2 ]]; then
+	echo "usage: $0 node vm"
+    echo "  node: hostname of node to connect to (i.e. node3)"
+    echo "  vm  : name of virtual machine on designated node to view"
+	exit 1
+fi
+
+NODE=$1
+VM=$2
+
+rm -f $KNOWN_HOSTS > /dev/null 2>&1
+ssh $SSH_ARGS 192.168.50.2 virt-viewer -c qemu+tcp://$NODE.priv.ovirt.org/system $VM
-- 
1.5.5.1




More information about the ovirt-devel mailing list